Subject: Re: EMAC OF binding....

From: David Gibson <[email-masked]>
Date: Tue, 30 Jan 2007 11:54:47 +1100

On Mon, Jan 29, 2007 at 06:45:30PM -0600, Kumar Gala wrote:
> 
> On Jan 29, 2007, at 6:25 PM, Benjamin Herrenschmidt wrote:
> 
> > On Mon, 2007-01-08 at 07:38 +0100, Segher Boessenkool wrote:
> >>>  - compatible        : compatible list, contains 2 entries, first is
> >>> "emac-CHIP" where
> >>>                        CHIP is the host ASIC (440gx, 405gp, axon)  
> >>> and
> >>> second is either
> >>>                        "emac" or "emac4".
> >>>                        For axon, thus, we have: "emac-axon","emac4"
> >>
> >> "ibm,emac-axon" etc. please.
> >
> > What would you do for things like 440gx ? ibm,440gx or amcc,440gx ?
> 
> Does emac really vary that much between the chips its in?  I know  
> chatting with Ben that axon did some evil things, but how much  
> difference exists on 4xx implementations?

Very little, I think, but I believe the idea is to include the
detailed information, just in case in future we discover some errata
or other peculiarities in one chip's version of emac.

-- 
David Gibson			| I'll have my music baroque, and my code
david AT gibson.dropbear.id.au	| minimalist, thank you.  NOT _the_ _other_
				| _way_ _around_!
http://www.ozlabs.org/~dgibson